Older Versions of Exploratory

We don’t support older versions of Exploratory, but you might need them for your classes or training.

In such case, here is a link to download Exploratory v4.4.

Mac:

http://download2.exploratory.io/downloads/Exploratory_4.4.0.5.dmg

Windows:

http://download2.exploratory.io/downloads/Exploratory_4.4.0.5_WIN.zip